Bug 478487 - python-virtualenv requires pkg_resources from python-setuptools
python-virtualenv requires pkg_resources from python-setuptools
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python-virtualenv (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Steve Milner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 17:20 EST by Jonathan Gardner
Modified: 2009-01-08 22:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 22:22:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Gardner 2008-12-30 17:20:13 EST
Description of problem:
python-virtualenv requires pkg_resources modules which is found in python-setuptools

Version-Release number of selected component (if applicable):
python-virtualenv-1.3-1.fc10

How reproducible:
Run the 'virtualenv' program without python-setuptools installed.

Steps to Reproduce:
1. Remove python-setuptools
   $ su -c "rpm -e python-setuptools"

2. Install python-virtualenv
   $ su -c "yum -y install python-virtualenv"

3. Attempt to run the virtualenv script.
   $ virtualenv --help
  
Actual results:

$ virtualenv --help
Traceback (most recent call last):               
  File "/usr/bin/virtualenv", line 5, in <module>
    from pkg_resources import load_entry_point   
ImportError: No module named pkg_resources

Expected results:
$ virtualenv --help
Usage: virtualenv [OPTIONS] DEST_DIR

Options:
  --version             show program's version number and exit
  -h, --help            show this help message and exit
  -v, --verbose         Increase verbosity
  -q, --quiet           Decrease verbosity
  -p PYTHON_EXE, --python=PYTHON_EXE
                        The Python interpreter to use, e.g.,
                        --python=python2.5 will use the python2.5 interpreter
                        to create the new environment.  The default is the
                        interpreter that virtualenv was installed with
                        (/usr/bin/python)
  --clear               Clear out the non-root install and start from scratch
  --no-site-packages    Don't give access to the global site-packages dir to
                        the virtual environment
  --unzip-setuptools    Unzip Setuptools when installing it
  --relocatable         Make an EXISTING virtualenv environment relocatable.
                        This fixes up scripts and makes all .pth files
                        relative


Additional info:
Comment 1 Steve Milner 2008-12-31 14:20:44 EST
Thanks for the report. I believe this update will fix the issue. Please let me know if I am mistaken: https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11949
Comment 2 Steve Milner 2009-01-08 22:22:08 EST
This has been pushed out as stable ... thanks again for the report!

Note You need to log in before you can comment on or make changes to this bug.